summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:58 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:58 +0200
commit94708fbaf693b3540ca7ecda83977f55eb3d1a5f (patch)
tree3e850b74064dc4941eafd4390337e71e76c73296
parenta50a71b73c947bea8b2b1d0b32c793f4dc57ed34 (diff)
downloadslackbuilds-94708fbaf693b3540ca7ecda83977f55eb3d1a5f.tar.gz
slackbuilds-94708fbaf693b3540ca7ecda83977f55eb3d1a5f.tar.xz
system/gammu: Added to 12.0 repository
-rw-r--r--system/gammu/README6
-rw-r--r--system/gammu/gammu.SlackBuild85
-rw-r--r--system/gammu/gammu.info8
-rw-r--r--system/gammu/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/system/gammu/README b/system/gammu/README
new file mode 100644
index 0000000000..b620345111
--- /dev/null
+++ b/system/gammu/README
@@ -0,0 +1,6 @@
+Gammu is command line utility and library to work with mobile
+phones from many vendors. Support for different models differs,
+but basic functions should work with majority of them. Program
+can work with contacts, messages (SMS, EMS and MMS), calendar,
+todos, filesystem, integrated radio, camera, etc. It also
+supports daemon mode to send and receive SMSes. \ No newline at end of file
diff --git a/system/gammu/gammu.SlackBuild b/system/gammu/gammu.SlackBuild
new file mode 100644
index 0000000000..007c0fa1af
--- /dev/null
+++ b/system/gammu/gammu.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for gammu
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gammu
+VERSION=1.19.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# I know the docdir / mandir syntax looks weird, but it's correct --rworkman
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINSTALL_MAN_DIR=man \
+ -DINSTALL_DOC_DIR=doc/$PRGNAM-$VERSION \
+ -DENABLE_SHARED=ON \
+ ..
+ make
+ make install DESTDIR=$PKG
+cd -
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+cp -a BUGS INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/gammu/gammu.info b/system/gammu/gammu.info
new file mode 100644
index 0000000000..dc33fbef7c
--- /dev/null
+++ b/system/gammu/gammu.info
@@ -0,0 +1,8 @@
+PRGNAM="gammu"
+VERSION="1.19.0"
+HOMEPAGE="http://cihar.com/gammu/"
+DOWNLOAD="http://dl.cihar.com/gammu/releases/gammu-1.19.0.tar.bz2"
+MD5SUM="eb5aada7ae3da63be4429626eb8e2884"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="David Somero"
diff --git a/system/gammu/slack-desc b/system/gammu/slack-desc
new file mode 100644
index 0000000000..3b6a815aa8
--- /dev/null
+++ b/system/gammu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+gammu: gammu (Mobile phone management utility)
+gammu:
+gammu: Gammu is command line utility and library to work with mobile
+gammu: phones from many vendors. Support for different models differs,
+gammu: but basic functions should work with majority of them. Program
+gammu: can work with contacts, messages (SMS, EMS and MMS), calendar,
+gammu: todos, filesystem, integrated radio, camera, etc. It also
+gammu: supports daemon mode to send and receive SMSes.
+gammu:
+gammu: Homepage: http://cihar.com/gammu/
+gammu: